Object Storage
Get bucket
get
/object-storage/buckets/{bucket_uuid}See one bucket in detail: how to connect to it with any S3 client, this month's storage, traffic, requests and cost, and its CDN connection.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
bucket_uuid*string
Respuestas
Successful Response
application/json
uuid*string
name*string
status*string
suspend_reason?string | null
write_blocked?boolean
Por defecto
falseerror_message?string | null
project_id?integer | null
tier*ObjectStorageTierSummary
Propiedades (4)
uuid*string
slug*string
name*string
media*string
location_name?string | null
region*string
endpoint*string
versioning*string
protected*boolean
size_bytes*integer
size_cap_gb_effective*integer
objects_count*integer
usage_updated_at?string | null
monthly_charges*number
cdn_connected*boolean
tags?record<string, string>
Por defecto
{}lifecycle_status?string
Por defecto
"none"lifecycle_rules_count?integer
Por defecto
0event_rules_count?integer
Por defecto
0object_lock*ObjectStorageObjectLockOut
Propiedades (2)
enabled*boolean
default_retention?ObjectStorageLockRetentionOut | null
Propiedades (3)
mode*string
Valores
"governance""compliance"days?integer | null
years?integer | null
locked_content_kept?boolean
Por defecto
falseencryption?ObjectStorageBucketEncryptionOut | null
Encryption at rest (SSE-S3). scope: all_objects, or new_objects while objects written
before the bucket default may still be stored in plaintext.
Propiedades (3)
algorithm*string
Valores
"AES256"scope*string
Valores
"all_objects""new_objects"applied_at?string | null
When the bucket's encryption default was applied
Formato
date-timeactive_at?string | null
last_billed_time?string | null
connection*ObjectStorageConnection
Propiedades (4)
endpoint*string
region*string
path_style_url*string
virtual_host_url*string
usage?ObjectStorageBucketUsage | null
Propiedades (10)
period*string
since*string
until*string
storage_gib_hours*number
storage_gib_month*number
egress_bytes*integer
cdn_bytes*integer
class_a_requests*integer
class_b_requests*integer
class_b_cdn_requests*integer
cdn?ObjectStorageBucketCdn | null
Propiedades (8)
status*string
Valores
"connecting""connected""disconnecting""error""disconnected"zone_uuid*string
zone_name*string
domain*string
custom_domain?string | null
zone_status*string
origin_uuid*string
origin_enabled*boolean
replication?ObjectStorageBucketReplicationOut | null
Propiedades (2)
outgoing?ObjectStorageReplicationOut | null
Propiedades (14)
uuid*string
status*string
pause_reason?string | null
direction*string
Valores
"outgoing""incoming"source*ObjectStorageReplicationSourceOut
Propiedades (5)
bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
destination*ObjectStorageReplicationCubepathDestOut | ObjectStorageReplicationExternalDestOut
Uno de
ObjectStorageReplicationCubepathDestOut
Propiedades (6)
type*string
Valores
"cubepath"bucket_uuid?string | null
bucket_name?string | null
project_id?integer | null
organization_name?string | null
same_organization*boolean
ObjectStorageReplicationExternalDestOut
Propiedades (7)
type*string
Valores
"external"provider?string | null
endpoint?string | null
region?string | null
bucket?string | null
path_style*string
access_key_id?string | null
Masked: **** and the last 4 characters
rules*ObjectStorageReplicationRulesOut
Propiedades (6)
enabled*boolean
prefix?string | null
tags?array<ObjectStorageLifecycleTagOut>
Propiedades (2)
key*string
value*string
delete_marker_replication*boolean
delete_replication*boolean
existing_objects*boolean
health*string
health_reason?string | null
health_checked_at?string | null
backfill*ObjectStorageReplicationBackfillOut
Propiedades (6)
status*string
started_at?string | null
finished_at?string | null
objects*integer
bytes*integer
failed_objects*integer
error_message?string | null
created_at?string | null
active_at?string | null
incoming_count?integer
Por defecto
0